Subject: RE: [External] : Re: bug#39143: 26.3; `widget-complete' in `customize-option'

From: Drew Adams <[email-masked]>
Date: Thu, 27 Feb 2025 17:21:57 +0000

Hi Mauro,

Thanks for looking into this.  I'd completely forgotten about it.

I do think that improving completion for Customize thingies could encourage more use of the Customize UI.

I think everything you said and suggested sounds good.  I agree about the double-edged sword of the added complexity - not just for the coding but also for users.

Parameter-specific completion can really help, but with different kinds of parameters some users might get confused by the different kinds of completion for them.

Overall, I think it would be a definite improvement.  And with some completion "frameworks" (and perhaps even with some ~recent vanilla Emacs improvements?) users could maybe get interactive help on the completion possibilities.

Anything you find you can do to improve this will be welcome.  Use your own judgment; it'll be fine, I'm sure.